politas

CKAN (The Comprehensive Kerbal Archive Network); v1.26.4 - Orion

Recommended Posts

Hi all i ma new to KSP and i keep CKAn in post as a must have but every time i click a link to take me to CKAN it sends me to a 404 page. where do i find the latest version  and if on git hub maybe some instructions on how to dl?I as i can never manage github at all. (total NOOB here, Sorry) Thanks in advance.

Share this post


Link to post
Share on other sites
2 hours ago, Mechnech046d said:

Hi all i ma new to KSP and i keep CKAn in post as a must have but every time i click a link to take me to CKAN it sends me to a 404 page. where do i find the latest version  and if on git hub maybe some instructions on how to dl?I as i can never manage github at all. (total NOOB here, Sorry) Thanks in advance.

First line in the first message in this thread. Amd welcome.

Share this post


Link to post
Share on other sites

Hello. I downloaded ckan.dmg for my macbook air (high sierra) and it says that it needs to be updated (the ckan app). Can someone do something with this please?

Share this post


Link to post
Share on other sites
7 hours ago, KnedlikMCPE said:

Hello. I downloaded ckan.dmg for my macbook air (high sierra) and it says that it needs to be updated (the ckan app). Can someone do something with this please?

I suspect that's your OS warning you that it plans to deprecate 32-bit software. Just click past it.

Share this post


Link to post
Share on other sites
43 minutes ago, HebaruSan said:

I suspect that's your OS warning you that it plans to deprecate 32-bit software. Just click past it.

MacOS seems not to allow me to open it. It just hops on the hotbar but doesn’t open.

Share this post


Link to post
Share on other sites
8 hours ago, KnedlikMCPE said:

MacOS seems not to allow me to open it. It just hops on the hotbar but doesn’t open.

Does it still give you the message about "needs to be updated"? Someone might be able to help you if you can share it with us.

Share this post


Link to post
Share on other sites

Does anyone know if/when Ckan will get the newest version of Extraplanetary Launchpads? Thanks! ^^

Share this post


Link to post
Share on other sites
Posted (edited)

Could the CKAN repository please be updated for Kethane Mining version 0.10.2? I really like using CKAN for keeping me up-to-date, but have noticed it has missed the update to Kethane Mining. Thanks!

Edited by GJNelson

Share this post


Link to post
Share on other sites
5 hours ago, GJNelson said:

Could the CKAN repository please be updated for Kethane Mining version 0.10.2? I really like using CKAN for keeping me up-to-date, but have noticed it has missed the update to Kethane Mining. Thanks!

Done. Thanks for bringing it to us.

Share this post


Link to post
Share on other sites
18 hours ago, DasSkelett said:

Done. Thanks for bringing it to us.

Thanks!

Share this post


Link to post
Share on other sites

Hey All,

I clicked on the link in the first post and I got a 404 error. In fact, I tried to click on each of the links in that first post and got the same github 404 error each time. 

If you have any insight into what I am doing wrong I would greatly appreciate it.

Thank you very much.

Share this post


Link to post
Share on other sites
1 hour ago, seekercuz said:

I clicked on the link in the first post and I got a 404 error. In fact, I tried to click on each of the links in that first post and got the same github 404 error each time. 

If you have any insight into what I am doing wrong I would greatly appreciate it.

They're working fine for me. Are you behind a firewall that blocks github.com?

Share this post


Link to post
Share on other sites
Posted (edited)
3 hours ago, seekercuz said:

Hey All,

I clicked on the link in the first post and I got a 404 error. In fact, I tried to click on each of the links in that first post and got the same github 404 error each time. 

If you have any insight into what I am doing wrong I would greatly appreciate it.

Thank you very much.

GitHub had an outage earlier: https://www.githubstatus.com/

Everything should be working again by now.

Edited by DasSkelett

Share this post


Link to post
Share on other sites
Posted (edited)

i can't figure out how ckan works, I have used it before but after installing KSP and trying CKAN again I can't make it work. I can't figure out how to add repo. https://imgur.com/a/hqgQpQc I tried pressing the: new KSP instance button but I have no clue what to select as it wants me to select an txt file. Someone who can help me out?  

Edited by rowns

Share this post


Link to post
Share on other sites
18 minutes ago, rowns said:

i can't figure out how ckan works, I have used it before but after installing KSP and trying CKAN again I can't make it work. I can't figure out how to add repo. https://imgur.com/a/hqgQpQc I tried pressing the: new KSP instance button but I have no clue what to select as it wants me to select an txt file. Someone who can help me out?  

You need to select either the `buildID.txt` or the `buildID64.txt` in your KSP folder.

Share this post


Link to post
Share on other sites
1 hour ago, DasSkelett said:

You need to select either the `buildID.txt` or the `buildID64.txt` in your KSP folder.

Thank you very much.

Share this post


Link to post
Share on other sites

I think that I found an issue in the CKAN (NetKAN ?) indexer while figuring out why MechJebForAll download an old version for KSP 1.7+.

For versions 1.3+ of the mod (since linuxgurugamer adoption) the AVC version file only set a KSP min version but it look like the indexer pull the max version from SpaceDock instead of adding something like 1.9.99 (that we can see in some mods).
As version 1.2 (from creator) is flagged as compatible with any KSP version, it is then installed.

 

Unrelated question but I didn't found in the doc how could I mark a mod as being compatible with any KSP version (I mean ksp_version = "any" in ckan file) via AVC file. I could set 1.9.99 as max version but who knows, we may have a KSP 2.0 one day maybe :)
 

Share this post


Link to post
Share on other sites
5 minutes ago, Gurki said:

I think that I found an issue in the CKAN (NetKAN ?) indexer while figuring out why MechJebForAll download an old version for KSP 1.7+.

Not an issue with the indexer, just sloppy metadata over time.

5 minutes ago, Gurki said:

it look like the indexer pull the max version from SpaceDock

Yup, using the game version from SpaceDock is important for a high percentage of mods. This has been a frequent topic of conversation with LGG, initally here:  https://github.com/KSP-CKAN/NetKAN/issues/7166#issuecomment-487130814

5 minutes ago, Gurki said:

instead of adding something like 1.9.99 (that we can see in some mods).

For the record, the indexer never adds that itself. That comes from mods with that value in their .version files.

5 minutes ago, Gurki said:

As version 1.2 (from creator) is flagged as compatible with any KSP version, it is then installed.

I'll take a look.

5 minutes ago, Gurki said:

Unrelated question but I didn't found in the doc how could I mark a mod as being compatible with any KSP version (I mean ksp_version = "any" in ckan file) via AVC file. I could set 1.9.99 as max version but who knows, we may have a KSP 2.0 one day maybe :)

I think you can leave out the KSP_VERSION, KSP_VERSION_MIN, and KSP_VERSION_MAX properties.

Share this post


Link to post
Share on other sites

LGG told me to put it here :/

5 minutes ago, HebaruSan said:

I think you can leave out the KSP_VERSION, KSP_VERSION_MIN, and KSP_VERSION_MAX properties.

That also what I think but I didn't want to submit a "testing-versionning-stuff" mod to CKAN :D

Share this post


Link to post
Share on other sites

Is there a video or something in how to install a mad via CKAN i just got CKAN but the the on the wiki on how to use it its confusing is there a better way of understanding how to install a mod via ckan?

 

Share this post


Link to post
Share on other sites
Posted (edited)
1 hour ago, eeeeeeee said:

Is there a video or something in how to install a mad via CKAN i just got CKAN but the the on the wiki on how to use it its confusing is there a better way of understanding how to install a mod via ckan?

Where exactly do you have problems? We can help you here too (or in our new Discord server if you want).

Video-wise, there might be a few on YouTube, just search for 'KSP install mods CKAN' or alike. But keep in mind that some of them are quite dated and some things don't necessarily work the same anymore.

Also just to make sure, you looked at this paragraph in our wiki? That should explain the bare basics.

Edited by DasSkelett

Share this post


Link to post
Share on other sites

So i did take a look at the wiki but it was to confusing for me is there a chance you could help me? Or is there help on the discord server?

 

 

Share this post


Link to post
Share on other sites
27 minutes ago, eeeeeeee said:

So i did take a look at the wiki but it was to confusing for me is there a chance you could help me? Or is there help on the discord server?

Yeah, as I said, feel free to ask questions here in this forum thread or in Discord. We'll be happy to answer them.
Just tell us where exactly you can't get further.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.